#include "StdAfx.h"
#include "MainWindow.h"

MainWindow::MainWindow() throw() : Window()
{
}

MainWindow::~MainWindow() throw()
{
}

INT_PTR MainWindow::WindowProcess(UINT message,WPARAM wParam,LPARAM lParam) throw()
{
    if (message == WM_NCDESTROY)
    {
        OnNcDestroy();
        return 0;
    }
    else
    {
        return Window::WindowProcess(message,wParam,lParam);
    }
}

void MainWindow::OnNcDestroy() throw()
{
    delete this;
    ::PostQuitMessage(0);
}
